/****************************************************************************************
 * KF8A系列单片机	KF8A100GQT_DEMO	开发板演示程序
 * 标    题: PWM1\PWM2实验
 * 项目名: 05- PWM12_Sample
 * 开发环境：ChipON IDE
 * 版          本     ：V1.0 (2019/08/10)
 * 作 者: 上海芯旺微电子有限公司
 * 功能简述：  1.配置PWM1OUT、PWM2OUT引脚输出10K,50%占空比的PWM波形
 * 	 	 	 2.配置PWM16OUT输出1K,50%占空比的PWM波形
 * 硬件说明：无
 ****************************************************************************************/
#include<KF8A100GQT.h>
#include "includes.h"

volatile uint16 Timer2_count;

void SYS_Init(void)
{
	//使用外部晶振时，引脚配置输入，配置字选择外部时钟且允许切换
	SCLKCTL = SYSCLK_SCLK_SEL_INTHF|SYSCLK_FREQ_DIV1;	//INTHF作为主时钟
	_NOP();_NOP();	//外部高低速时钟稳定
	HFCKCTL = 0xCE;	//外设时钟开启,选择INTHF为HFCLK时钟信号

	TR0 = 0;	TR1	= 0;	TR2	= 0;	TR3 = 0;
	TR4 = 0;	TR5 = 0;	TR6 = 0;	TR7 = 0;
	TR9 = 0;	TRA = 0;	TRB = 0;
	P0LR = 0;	P1LR = 0;	P2LR = 0;	P3LR = 0;
	P4LR = 0;	P5LR = 0;	P6LR = 0;	P7LR = 0;
	P9LR = 0;	PALR = 0;	PBLR = 0;
}


//主函数
void main()
{
	SYS_Init();
	PWM1_2_Init();
	while(1)
	{

	}
}
//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{

}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
